
> moia_create.log
export DB2OPTIONS='-tv -l moia_create.log'
TABSPC="${MOIATS}"
db2 - <<!
connect to ${DB2USERID};

-- t02_sms_overview 总览参数
DROP TABLE t02_sms_overview;
CREATE TABLE t02_sms_overview
(
  uuid                varchar(32)       NOT NULL  DEFAULT ' '         ,
  count_type          varchar(1)        NOT NULL  DEFAULT ' '         ,
  current_stat        varchar(1)        NOT NULL  DEFAULT ' '         ,
  current_count_type  varchar(1)        NOT NULL  DEFAULT ' '         ,
  count_date          varchar(1)        NOT NULL  DEFAULT ' '         ,
  end_time_point      varchar(8)        NOT NULL  DEFAULT ' '         ,
  special_plan        varchar(32)       NOT NULL  DEFAULT ' '         ,
  count_range         varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_2        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( uuid )
)  ;


-- t02_sms_count_plan 统计计划
DROP TABLE t02_sms_count_plan;
CREATE TABLE t02_sms_count_plan
(
  plan_id             varchar(32)       NOT NULL  DEFAULT ' '         ,
  plan_type           varchar(1)        NOT NULL  DEFAULT ' '         ,
  org_code            varchar(5)        NOT NULL  DEFAULT ' '         ,
  batch_num           integer           NOT NULL  DEFAULT 0           ,
  is_count            varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_2        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( plan_id,org_code,batch_num,is_count )
) ;


-- t02_dbs_base 数据源基本表
DROP TABLE t02_dbs_base;
CREATE TABLE t02_dbs_base
(
  dbs_type            varchar(1)        NOT NULL  DEFAULT ' '         ,
  dbs_host            varchar(32)       NOT NULL  DEFAULT ' '         ,
  is_dbs              varchar(1)        NOT NULL  DEFAULT ' '         ,
  ext_column_1        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_2        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( dbs_type )
)  ;

-- t04_glob_plan_info 全局视图计划信息表
DROP TABLE t04_glob_plan_info;
CREATE TABLE t04_glob_plan_info
(
  group_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  group_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  group_msg           varchar(256)      NOT NULL  DEFAULT ' '         ,
  group_date          varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( group_id )
)  ;

-- t04_glob_plan_list 全局视图计划列表
DROP TABLE t04_glob_plan_list;
CREATE TABLE t04_glob_plan_list
(
  group_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  primary key ( group_id,obj_id )
) ;

-- t04_glob_plan_info_ver 全局视图计划信息版本表
DROP TABLE t04_glob_plan_info_ver;
CREATE TABLE t04_glob_plan_info_ver
(
  group_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  group_name          varchar(128)      NOT NULL  DEFAULT ' '         ,
  group_msg           varchar(256)      NOT NULL  DEFAULT ' '         ,
  group_date          varchar(1)        NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( group_id,version_id )
) ;


-- t04_glob_plan_list_ver 全局视图计划节点版本表
DROP TABLE t04_glob_plan_list_ver;
CREATE TABLE t04_glob_plan_list_ver
(
  group_id            varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_id              varchar(32)       NOT NULL  DEFAULT ' '         ,
  obj_x               integer           NOT NULL  DEFAULT 0           ,
  obj_y               integer           NOT NULL  DEFAULT 0           ,
  create_user         varchar(32)       NOT NULL  DEFAULT ' '         ,
  create_date         varchar(20)       NOT NULL  DEFAULT ' '         ,
  ext_column_1        integer           NOT NULL  DEFAULT 0           ,
  ext_column_2        integer           NOT NULL  DEFAULT 0           ,
  ext_column_3        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_4        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_5        varchar(256)      NOT NULL  DEFAULT ' '         ,
  ext_column_6        varchar(256)      NOT NULL  DEFAULT ' '         ,
  version_id          varchar(32)       NOT NULL  DEFAULT ' '         ,
  primary key ( group_id,obj_id,version_id )
) ;

quit;
!
